import logging
import logging.handlers
import time


class LogHandler(logging.handlers.SocketHandler):
    def makePickle(self, record):
        return record.getMessage().encode() + b'\n'


logger = logging.getLogger()
handler = LogHandler('127.0.0.1', 8001)
handler.setLevel(logging.DEBUG)
logger.setLevel(logging.DEBUG)
logger.addHandler(handler)
logger.closeOnError = True

logger.debug('Message #1')
time.sleep(5)
logger.debug('Message #2')
time.sleep(0.2)
logger.debug('Message #3')
time.sleep(0.2)
logger.debug('Message #4')
time.sleep(0.2)
logger.debug('Message #5')
time.sleep(0.2)
